org.eclipse.emf.facet.util.emf.catalog

## Interface Catalog

All Known Subinterfaces:
  FacetSetCatalog

Deprecated.

    @Deprecated
    public interface Catalog

A representation of the model object 'Catalog'. A EMF Facet Catalog catalog is a way to references sets of EObject. It has to be subclassed for each user catalog, especially to create derived links to access elements with their right type.

The following features are supported:

- `Installed Entries`
- `Name`

See Also:
  `CatalogPackage.getCatalog()`
Generated:
Model:
  interface="true" abstract="true"

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`<any>` `getInstalledEntries()` Deprecated. Returns the value of the 'Installed Entries' reference list.
`java.lang.String` `getName()` Deprecated. Returns the value of the 'Name' attribute.
`void` `setName(java.lang.String value)` Deprecated. Sets the value of the '`Name`' attribute.

### Method Detail

#### getInstalledEntries

    <any> getInstalledEntries()

Deprecated.
Returns the value of the 'Installed Entries' reference list. The list contents are of type `org.eclipse.emf.ecore.EObject`. "installedEntries" represents all the EObject initially registered through the registration extension point.

Returns:
  the value of the 'Installed Entries' reference list.
See Also:
  `CatalogPackage.getCatalog_InstalledEntries()`
Generated:
Model:

#### getName

    java.lang.String getName()

Deprecated.
Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

The name of the Catalog.

Returns:
  the value of the 'Name' attribute.
See Also:
  `setName(String)`, `CatalogPackage.getCatalog_Name()`
Generated:
Model:

#### setName

    void setName(java.lang.String value)

Deprecated.
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  `getName()`
Generated: